%{?nodejs_find_provides_and_requires}

%global packagename es6-symbol
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-es6-symbol
Version:	3.1.0
Release:	%mkrel 4
Group:          Development/Other
Summary:	ECMAScript 6 Symbol polyfill

License:	MIT
URL:		https://github.com/medikoo/es6-symbol.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif


%description
ECMAScript 6 Symbol polyfill.


%prep
%setup -q -n package

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d) 

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests have been disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon May 04 2020 joequant <joequant> 3.1.0-4.mga8
+ Revision: 1580092
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 3.1.0-3.mga8
+ Revision: 1502606
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Thu Sep 20 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1280409
- Mageia 7 Mass Rebuild

* Fri Jul 27 2018 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1245476
- new version: 3.1.0

* Tue May 17 2016 neoclust <neoclust> 3.0.2-3.mga6
+ Revision: 1016453
- imported package nodejs-es6-symbol

